/* =============================================
Result
============================================= */

#result .subttl>.ttl {
  width: calc(603px / 2);
  aspect-ratio: 603 / 132;
  background-image: url(../img/result/result_ttl.png);
}

.rs-w .ttl-chapter { background: var(--cl-w-red); }
.rs-m .ttl-chapter { background: var(--cl-m-blue); }

@media all and (max-width: 500px) {

  #result .subttl>.ttl {
    width: calc(603px / 2.5);
  }

}

/* table
-------------------------------- */

.rs-tbl {
  margin-bottom: 40px;
  text-align: center;
}

.rs-tbl table {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  text-align: center;
}

.rs-tbl table tr th,
.rs-tbl table tr td {
  padding: 0.7em;
  border: #ccc 1px solid;
  box-sizing: border-box;
  font-weight: 600;
  font-size: 120%;
  line-height: 140%;
}

.rs-tbl table th {
  white-space: nowrap;
  color: #fff;
  text-align: center;
}
.rs-w .rs-tbl table th {
  background-color: var(--cl-w-red);
}
.rs-m .rs-tbl table th {
  background-color: var(--cl-m-blue);
}

.rs-tbl table .tbl-pl {
  width: 11.0em;
}

.rs-tbl table .tbl-po {
  width: 2.0em;
}

.rs-tbl table .match-box .cnt-name {
  display: block;
  line-height: 120%;
  white-space: nowrap;
}

.btn-rs-hl {
  margin: 10px auto 0 auto;
  text-align: center;
  width: 9.0em;
  font-size: 80%;
}

.btn-rs-hl>a {
  display: inline-block;
  position: relative;
  width: 100%;
  padding: 0.5em 0 0.5em 0.5em;
  border-radius: 1000px;
  cursor: pointer;
  font-weight: 600;
  line-height: 100%;
  color: #fff !important;
  text-decoration: none;
  /* hover fade */
  transition: opacity 0.2s ease-out;
}
@media (hover: hover) {
  .btn-rs-hl>a:hover {
    opacity: 0.5;
  }
}

.rs-w .btn-rs-hl>a {
  background: var(--cl-w-red);
}
.rs-m .btn-rs-hl>a {
  background: var(--cl-m-blue);
}

.btn-rs-hl>a::before {
  display: inline-block;
  position: absolute;
  top: 1.0em;
  left: 1.2em;
  margin-right: 0.7em;
  content: "▶︎";
  font-size: 50%;
}

/* -- Media Queries -- */

@media all and (max-width: 767px) {

  .rs-tbl {
    width: 100%;
    overflow-y: hidden;
    overflow-x: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    -webkit-overflow-scrolling: touch;
  }

  .rs-tbl table tr th,
  .rs-tbl table tr td {
    padding: 0.7em 0.3em;
    font-size: 80%;
  }

  .rs-tbl table .tbl-pl {
    width: auto;
  }

}


/* match-box
-------------------------------- */

.match-box {
  display: flex;
  justify-content: center;
  align-items: center;
}

.match-l,
.match-r {
  width: 6.0em;
  font-weight: 600;
  font-size: 110%;
}

.match-x {
  font-size: 220%;
  font-weight: 600;
  white-space: nowrap;
}

.match-x .score-s {
  display: block;
  margin: 10px 5px 0 5px;
  padding: 0 0.5em;
  font-size: 50%;
  line-height: 140%;
  border-left: 1px #000 solid;
  border-right: 1px #000 solid;
  white-space: nowrap;
}

.match-l img,
.match-r img {
  width: 3.0em;
  height: 2.0em;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
}

.match-box .cnt-name {
  display: block;
  font-size: 90%;
  line-height: 120%;
}


/*eof*/
